Bug 213582 - site-start.el signals error
site-start.el signals error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
: 220426 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 22:03 EST by Jamie Zawinski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 21.5.27-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 11:15:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prioritize coding categories, not coding systems (665 bytes, patch)
2006-11-03 01:56 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Jamie Zawinski 2006-11-01 22:03:46 EST
Description of problem:
site-start.el signals an error at startup, preventing ~/.emacs from being loaded.

Version-Release number of selected component (if applicable):

xemacs-packages-extra-20060510-4.fc6
xemacs-packages-base-20060510-3.fc6
xemacs-common-21.5.27-5.fc6
xemacs-21.5.27-5.fc6

How reproducible:
always

Steps to Reproduce:
1.xemacs -q
2.note error message in echo area: "Invalid constant: Unrecognized coding category, iso-8859-1"
3.
  
Actual results:
xemacs beeps at startup, doesn't load .emacs until I do so manually.

Expected results:
not that.

Additional info:

The error is in your site-start.el:

(getenv "LANG")
"en_US"

(setq debug-on-error t)
(load-file "/usr/share/xemacs/site-packages/lisp/site-start.el")

Debugger entered--Lisp error: (invalid-constant "Unrecognized coding category" iso-8859-1)
  set-coding-priority-list((iso-8859-1))
  (progn (set-coding-priority-list (list tmp)) (set-coding-category-system tmp tmp) (set-default-
output-coding-systems tmp) (set-keyboard-coding-system tmp) (set-terminal-coding-system tmp) 
(setq file-name-coding-system tmp) (setq process-coding-system-alist (cons ... ...)) (define-coding-
system-alias (quote native) tmp))
  (if (find-coding-system tmp) (progn (set-coding-priority-list ...) (set-coding-category-system tmp 
tmp) (set-default-output-coding-systems tmp) (set-keyboard-coding-system tmp) (set-terminal-
coding-system tmp) (setq file-name-coding-system tmp) (setq process-coding-system-alist ...) 
(define-coding-system-alias ... tmp)))
  (when (find-coding-system tmp) (set-coding-priority-list (list tmp)) (set-coding-category-system tmp 
tmp) (set-default-output-coding-systems tmp) (set-keyboard-coding-system tmp) (set-terminal-
coding-system tmp) (setq file-name-coding-system tmp) (setq process-coding-system-alist 
(cons ... ...)) (define-coding-system-alias (quote native) tmp))
  (let* ((tmp ...) (tmp ...) (tmp ...)) (when (find-coding-system tmp) (set-coding-priority-list ...) (set-
coding-category-system tmp tmp) (set-default-output-coding-systems tmp) (set-keyboard-coding-
system tmp) (set-terminal-coding-system tmp) (setq file-name-coding-system tmp) (setq process-
coding-system-alist ...) (define-coding-system-alias ... tmp)))
  (let* ((locale ...) (lang-region ...) (lang ...)) (cond (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) 
(... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) 
(... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (... ...) (t ...)) (setenv "LANG" 
locale) (set-current-locale locale) (let* (... ... ...) (when ... ... ... ... ... ... ... ... ...)) (load "leim-list" t) (when 
(member lang ...) (setq-default ispell-local-dictionary "english")))
  (if (featurep (quote mule)) (let* (... ... ...) 
(cond ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ...) 
(setenv "LANG" locale) (set-current-locale locale) (let* ... ...) (load "leim-list" t) (when ... ...)))
  (when (featurep (quote mule)) (let* (... ... ...) (cond ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... 
... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ...) (setenv "LANG" locale) (set-current-locale locale) 
(let* ... ...) (load "leim-list" t) (when ... ...)))
  load-internal("/usr/share/xemacs/site-packages/lisp/site-start.el-BUSTED" nil nil t undecided)
  load("/usr/share/xemacs/site-packages/lisp/site-start.el-BUSTED" nil nil t)
  load-file("/usr/share/xemacs/site-packages/lisp/site-start.el-BUSTED")
  eval((load-file "/usr/share/xemacs/site-packages/lisp/site-start.el-BUSTED"))
  eval-interactive((load-file "/usr/share/xemacs/site-packages/lisp/site-start.el-BUSTED"))
  eval-last-sexp(t)
  #<compiled-function nil "...(13)" [standard-output terpri eval-last-sexp t] 2 1235066 nil>()
  call-interactively(eval-print-last-sexp)
Comment 1 Ville Skyttä 2006-11-03 01:56:37 EST
Created attachment 140219 [details]
Prioritize coding categories, not coding systems

Reproduced, the attached patch should fix it.  Could you give it a try?
Comment 2 Ville Skyttä 2007-01-01 20:09:02 EST
*** Bug 220426 has been marked as a duplicate of this bug. ***
Comment 3 Chris Walter 2007-01-02 17:22:39 EST
I had this problem when I did a FC5->FC6 upgrade.  I tried the attached patch on
site-start.el and it fixed the problem for me.
Comment 4 Ville Skyttä 2007-01-04 11:15:40 EST
Fixed in 21.5.27-6.

Note You need to log in before you can comment on or make changes to this bug.